Initiate Sandbox Fiat Deposit
curl --request POST \
--url https://api.paxos.com/v2/sandbox/fiat-deposits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "10.00",
"asset": "USD",
"memo_id": "3CFXQSCMSPLFHXLZ",
"fiat_network_instructions": {
"wire": {
"account_number": "12345678",
"fiat_account_owner_address": {
"country": "USA",
"address1": "456 Main Street, NY",
"city": "New York",
"province": "NY",
"address2": "",
"zip_code": "10101"
},
"routing_details": {
"routing_number_type": "ABA",
"routing_number": "123456789",
"bank_name": "Customers Bank",
"bank_address": {
"country": "USA",
"address1": "123 Bank Street",
"city": "New York",
"province": "NY",
"address2": "",
"zip_code": "10101"
}
}
}
},
"fiat_account_owner": {
"institution_details": {
"name": "SomeCorp, Inc."
}
}
}
'import requests
url = "https://api.paxos.com/v2/sandbox/fiat-deposits"
payload = {
"amount": "10.00",
"asset": "USD",
"memo_id": "3CFXQSCMSPLFHXLZ",
"fiat_network_instructions": { "wire": {
"account_number": "12345678",
"fiat_account_owner_address": {
"country": "USA",
"address1": "456 Main Street, NY",
"city": "New York",
"province": "NY",
"address2": "",
"zip_code": "10101"
},
"routing_details": {
"routing_number_type": "ABA",
"routing_number": "123456789",
"bank_name": "Customers Bank",
"bank_address": {
"country": "USA",
"address1": "123 Bank Street",
"city": "New York",
"province": "NY",
"address2": "",
"zip_code": "10101"
}
}
} },
"fiat_account_owner": { "institution_details": { "name": "SomeCorp, Inc." } }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '10.00',
asset: 'USD',
memo_id: '3CFXQSCMSPLFHXLZ',
fiat_network_instructions: {
wire: {
account_number: '12345678',
fiat_account_owner_address: {
country: 'USA',
address1: '456 Main Street, NY',
city: 'New York',
province: 'NY',
address2: '',
zip_code: '10101'
},
routing_details: {
routing_number_type: 'ABA',
routing_number: '123456789',
bank_name: 'Customers Bank',
bank_address: {
country: 'USA',
address1: '123 Bank Street',
city: 'New York',
province: 'NY',
address2: '',
zip_code: '10101'
}
}
}
},
fiat_account_owner: {institution_details: {name: 'SomeCorp, Inc.'}}
})
};
fetch('https://api.paxos.com/v2/sandbox/fiat-deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "fiat network instructions required"
}Sandbox Fiat Transfers
Initiate Sandbox Fiat Deposit
Initiate a test fiat deposit in the sandbox environment.
The deposit will be processed based on memo_id from a previous Fiat Deposit Instructions response.
This functionality is only available in the sandbox environment.
POST
/
sandbox
/
fiat-deposits
Initiate Sandbox Fiat Deposit
OAuth Scope
transfer:write_sandbox_fiat_deposit
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Body
application/json
The amount to deposit.
Pattern:
^[0-9]*\.?[0-9]{1,2}$The asset to deposit. Current supported asset: "USD".
The string that the client must provide in the memo field on their deposit to credit their Paxos platform balance.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
A successful response.
The response is of type object.
Was this page helpful?
⌘I